﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.ComponentModel;
using System.Drawing;

namespace MediaCenter.Controls
{
    public class LCARS_Control : Control
    {
        protected override CreateParams CreateParams
        {
            get
            {
                CreateParams cp = base.CreateParams;
                cp.ExStyle |= 0x00000020;
                return cp;
            }
        }

        protected override void OnPaintBackground(PaintEventArgs pevent)
        {

        }

        protected void InvalidateEx()
        {
            if (Parent == null)
                return;
            Rectangle rc = new Rectangle(this.Location, this.Size);
            Parent.Invalidate(rc, true);
        }
        public LCARS_Control()
        {
            
            //this.Visible = false;
        }
        [ReadOnly(true)]
        public LCARS_Form PartmentForm
        {
            get
            {
                return (LCARS_Form)this.FindForm();
            }
        }
        public virtual void Render()
        {

        }
    }
}
